package com.palmnest.service.virtProject;

import com.palmnest.model.estateserve.UserAccountRecode;

import java.util.List;

public interface UserAccountService {

	/**
	 * 根据微信用户查找登录记录
	 *
	 * @param openId
	 * @return
	 */
	public List<UserAccountRecode> getUserAccountRecode(String orgId, String openId);

	/**
	 * 根据微信用户以及账号信息查找记录
	 *
	 * @param accountId
	 * @param openId
	 * @return
	 */
	public List<UserAccountRecode> getUserAccountByAccount(String orgId, String accountId, String openId);

	/**
	 * 根据项目以及个人账号查找看该用户是否登陆过企业账号
	 *
	 * @param openId
	 * @param orgId
	 * @return
	 * @throws Exception
	 */
	public int isHaveAccLogin(String openId, String orgId) throws Exception;

	/**
	 * 修改企业帐号登录记录
	 *
	 * @param recode
	 */
	public void updateUserAccount(UserAccountRecode recode);
}
